﻿package {

	import flash.display.Sprite;
	import flash.events.Event;
	import flash.display.Stage;
	import flash.display.BitmapData;
	import flash.display.Bitmap;

	public class Timeline extends Sprite {

		private var _screen:BitmapData;
		private var cursor:Sprite;
		public function Timeline() {
			/*on cree le background ou les vecteurs vont être arrêtés*/
			_screen = new BitmapData(stage.stageWidth,stage.stageHeight,true,0xffffff);
			/*on en fait un bitmap*/
			var bitmap:Bitmap = new Bitmap(_screen);
			/*on affiche le bitmap*/
			addChild(bitmap);
			/*on cré un curseur de balayage (rouge)*/
			cursor = new Sprite();
			cursor.graphics.beginFill(0xff0000,1);
			cursor.graphics.drawRect(0,0,1,stage.stageHeight);
			cursor.graphics.endFill();
			/*on affiche le curseur*/
			addChildAt(cursor,1);
			/*on affecte un evenement ENTERFRAME*/
			addEventListener(Event.ENTER_FRAME,onEnterFrame);
		}
		private function onEnterFrame(e:Event):void {
			/*on fait avancer le curseur, s'il arrive au bout du stage, on le met à 0*/
			if (cursor.x> stage.stageWidth) {
				cursor.x =0;
			} else {
				cursor.x++;
			}
			/*on vérifie une distance d'approche entre le curseur et la souris*/
			if (Math.abs(cursor.x-this.mouseX) <= 100) {
				/*on lance une fonction de création avec les coordonées de la souris*/
				buildBubbles(this.mouseX,this.mouseY);
			}
		}
		private function buildBubbles(_xpos,_ypos) {
			/*on se crée un stylo avec lequelle on va dessiner un cercle et un fond rouge super transparent*/
			
			var stylo:Sprite = new Sprite();
			stylo.graphics.beginFill(0xffffff,0.08);
			stylo.graphics.drawRect(0,0,stage.stageWidth,stage.stageHeight);
			stylo.graphics.endFill();

			// Triangle
			stylo.graphics.beginFill(0xffffff,0.002);
			stylo.graphics.lineStyle(2,0x000000);
			///stylo.graphics.drawCircle(_xpos,_ypos,Math.random()*100);
			stylo.graphics.moveTo(_xpos , _ypos);
			stylo.graphics.lineTo(_xpos + 20,_ypos + 60);
			stylo.graphics.lineTo(_xpos -20,_ypos + 60);
			stylo.graphics.lineTo(_xpos,_ypos);
			stylo.graphics.lineTo(_xpos + 30,_ypos + 30);
			stylo.graphics.lineTo(_xpos + 20,_ypos + 60);
			stylo.graphics.lineTo(_xpos,_ypos);


			stylo.graphics.endFill();



			/*on copie le dessin du stylo dans notre background*/
			_screen.draw(stylo);
		}
	}
}